import { Module } from '@nestjs/common';
import { SchoolService } from './school.service';
import { SchoolController } from './school.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { DepEdPhSchoolSchema } from './schemas/depedphschool.schema';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: 'DepEdSchool', schema: DepEdPhSchoolSchema }])
  ],
  providers: [SchoolService],
  controllers: [SchoolController]
})
export class SchoolModule {}
