import { Module } from '@nestjs/common';
import { UserService } from './user.service';
import { UserController } from './user.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { DepEdPhUserSchema } from './schemas/depedphuser.schema';

@Module({

  providers: [UserService],
  controllers: [UserController],
  imports: [
    MongooseModule.forFeature([{ name: 'DepEdPhUser', schema: DepEdPhUserSchema }]),
  ]
})
export class UserModule {}
